%{?nodejs_find_provides_and_requires}
%global npm_name ps-tree

# Disable until dependencies are met
%global enable_tests 0

Summary:       Get all children of a pid.
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/indexzero/ps-tree
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%if 0%{?enable_tests}
BuildRequires:  npm(chalk)
BuildRequires:  npm(istanbul)
BuildRequires:  npm(tape)
%endif

%description
Get all children of a pid.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/ps-tree.js %{buildroot}%{_bindir}/ps-tree.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul cover ./node_modules/.bin/tape ./test/test.js ./test/direct.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/ps-tree.js

%changelog
* Wed Dec 16 2015 Troy Dawson <tdawson@redhat.com> -1.0.1-1
- Initial package
